
package br.com.post.bean;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

import br.com.post.model.Post;
import br.com.post.service.PersistenceService;
import br.com.post.util.AbstractInjection;

import com.google.inject.Inject;

/**
 *
 * @author otavio
 */
@ManagedBean
@ViewScoped
public class PostBean extends AbstractInjection {
    
    
    @Inject
    private PersistenceService persistenceService;
	
    @Inject
    private Post post;
    
    
    @SuppressWarnings("unchecked")
	public List<Post> getPostSequencial(){
        
        return persistenceService.getSequencial().getPersistence().findAll(Post.class);
    }
    
    @SuppressWarnings("unchecked")
	public List<Post> getPostRandom(){
        
        return persistenceService.getRandom().getPersistence().findAll(Post.class);
    }
    
    public void insertSequencial(){
        
    	persistenceService.getSequencial().getPersistence().insert(post);
        post=new Post();
    }
    
    public void insertRandom(){
    	persistenceService.getRandom().getPersistence().insert(post);
        post=new Post();
    }

    public PersistenceService getPersistenceService() {
        return persistenceService;
    }

    public void setPersistenceService(PersistenceService persistenceService) {
        this.persistenceService = persistenceService;
    }

    public Post getPost() {
        return post;
    }

    public void setPost(Post post) {
        this.post = post;
    }
    
    
    
    
    
}
