
package br.com.post.model;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

/**
 *
 * @author otavio
 */
@Entity
public class Post implements Serializable{
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 5870934397336393414L;

	@Id
    private String nickName;
    
    @Column
    private String text;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Post other = (Post) obj;
        if ((this.nickName == null) ? (other.nickName != null) : !this.nickName.equals(other.nickName)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 43 * hash + (this.nickName != null ? this.nickName.hashCode() : 0);
        return hash;
    }

    
    
    
    
    
}
